Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibems.ufo
Class TibjmsUFOQueue

    java.lang.Object
      TibjmsUFODestination
          com.tibco.tibems.ufo.TibjmsUFOQueue

All Implemented Interfaces:
  java.lang.Cloneable, Destination, Queue

    public class TibjmsUFOQueue

extends TibjmsUFODestination
implements Queue, java.lang.Cloneable

Implementation of javax.jms.Queue which can be used for administrative purposes.
Normally JMS applications lookup Queue objects via JNDI calls. This class can be used by the administrator application if it is required to store TibjmsUFOQueue objects in the 3rd party JNDI store such as LDAP or similar.

Constructor Summary
`TibjmsUFOQueue()` Constructs a new TibjmsUFOQueue object.
`TibjmsUFOQueue(java.lang.String address)` Constructs a new TibjmsUFOQueue object with the given address.
`TibjmsUFOQueue(java.lang.String address, java.lang.String jndiName)` Internal constructor.
`TibjmsUFOQueue(TibjmsQueue queue)` Constructs a new TibjmsUFOQueue object with the given TibjmsQueue object.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAddress()` Gets the address of this queue.
`java.lang.String` | `getQueueName()` Gets the name of this queue.
`void` | `setAddress(java.lang.String address)` Sets the address of this queue.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TibjmsUFOQueue

    public TibjmsUFOQueue()

  Constructs a new TibjmsUFOQueue object.

### TibjmsUFOQueue

    public TibjmsUFOQueue(java.lang.String address)

  Constructs a new TibjmsUFOQueue object with the given address.

  Parameters:
    `address` - address of the queue

### TibjmsUFOQueue

    public TibjmsUFOQueue(java.lang.String address,
                          java.lang.String jndiName)

  Internal constructor.

### TibjmsUFOQueue

    public TibjmsUFOQueue(TibjmsQueue queue)

  Constructs a new TibjmsUFOQueue object with the given TibjmsQueue object.

  Parameters:
    `queue` - object of TibjmsQueue

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object obj)

### getQueueName

    public java.lang.String getQueueName()
                                  throws JMSException

  Description copied from interface: `Queue`
  Gets the name of this queue.

  Clients that depend upon the name are not portable.

  Specified by:
    `getQueueName` in interface `Queue`
  Returns:
    the queue name
  Throws:
    `JMSException` - if the JMS provider implementation of `Queue` fails to return the queue name due to some internal error.

### toString

    public java.lang.String toString()

  Description copied from interface: `Queue`
  Returns a string representation of this object.

  Specified by:
    `toString` in interface `Queue`
  Returns:
    the provider-specific identity values for this queue

### getAddress

    public java.lang.String getAddress()

  Gets the address of this queue. Address and name are synonyms.

  Returns:
    the queue's address

### setAddress

    public void setAddress(java.lang.String address)
                    throws JMSException

  Sets the address of this queue. Address and name are synonyms.
  Example:
  `TibjmsUFOQueue queue = new TibjmsUFOQueue();
  queue.setAddress("queue.sample");`

  Parameters:
    `address` - the string representing the address, or name, of this queue
  Throws:
    `JMSException` - if the address has already been set

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved